## org.hibernate.collection.internal
Class AbstractPersistentCollection.IteratorProxy

    java.lang.Object
      org.hibernate.collection.internal.AbstractPersistentCollection.IteratorProxy

All Implemented Interfaces:
  Iterator

Enclosing class:
  AbstractPersistentCollection

    protected final class AbstractPersistentCollection.IteratorProxy

extends Object
implements Iterator

Field Summary
`protected Iterator` `itr`

Constructor Summary
`AbstractPersistentCollection.IteratorProxy(Iterator itr)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### itr

    protected final Iterator itr

Constructor Detail

### AbstractPersistentCollection.IteratorProxy

    public AbstractPersistentCollection.IteratorProxy(Iterator itr)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.